<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage cctv-security-system
 * @since cctv-security-system 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function cctv_security_system_customize_register( $wp_customize ) {
	$wp_customize->add_section( new CCTV_Security_System_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'CCTV Security Pro', 'cctv-security-system' ),
		'button_text'      => __( 'Upgrade Pro', 'cctv-security-system' ),
		'url'              => 'https://www.wpradiant.net/products/premium-cctv-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'cctv_security_system_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function cctv_security_system_custom_control_scripts() {
	wp_enqueue_script( 'cctv-security-system-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'cctv-security-system-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'cctv_security_system_custom_control_scripts' );